## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}
%global pypi_name msgspec

Name:           python-%{pypi_name}
Summary:        Fast serialization and validation library
Version:        0.18.6
Source:         https://github.com/jcrist/%{pypi_name}/archive/refs/tags/%{version}/msgspec-%{version}.tar.gz
Release:        %autorelease

License:        BSD-3-Clause
URL:            https://jcristharif.com/msgspec/

# Build Python 3.13 wheels (not free-threaded)
# https://github.com/jcrist/msgspec/pull/711
#
# Fixes Python 3.13 compatibility, RHBZ#2301180. Rebased on 0.18.6, with
# changes to .github/workflows/ci.yml omitted.
Patch:          msgspec-0.18.6-python3.13-pr-711.patch

BuildRequires:  python3-devel
BuildRequires:  python3dist(wheel)
# Adding the pytest dependency manually, as the `tests` extras group also
# includes mypy, pyright, pre-commit and other unpackaged dependencies
BuildRequires:  python3dist(pytest)
BuildRequires:  gcc
ExcludeArch: s390x i686

%generate_buildrequires
%pyproject_buildrequires

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%global _description %{expand:
A fast serialization and validation library, with builtin support for
JSON, MessagePack, YAML, and TOML.}

%description %_description
%description -n python3-%{pypi_name} %_description

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Tue Oct 01 2024 Aris Tritas <aris.tritas@aiven.io> - 0.18.6-7
- Update release version using the %%autorelease macro

* Wed Sep 18 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.18.6-6
- Patch for Python 3.13 (close RHBZ#2301180)

* Tue Sep 10 2024 Aris Tritas <aris.tritas@aiven.io> - 0.18.6-5
- Exclude some unsupported architectures

* Tue Aug 06 2024 Filipe Rosset <rosset.filipe@gmail.com> - 0.18.6-4
- fix spec

* Tue Aug 06 2024 Filipe Rosset <rosset.filipe@gmail.com> - 0.18.6-3
- clean spec

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Apr 17 2024 Aris Tritas <aris.tritas@aiven.io> - 0.18.6-1
- Initial import (fedora#2274031).
## END: Generated by rpmautospec
